GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
framer_state Struct Reference

## Data Fields
frame_type | cur_frame_type
size_t | output_length_at_start_of_frame
size_t | header_idx
gpr_uint8 | last_was_header
gpr_uint32 | stream_id
gpr_slice_buffer * | output

## Field Documentation

frame_type framer_state::cur_frame_type

size_t framer_state::header_idx

gpr_uint8 framer_state::last_was_header

gpr_slice_buffer* framer_state::output

size_t framer_state::output_length_at_start_of_frame

gpr_uint32 framer_state::stream_id

The documentation for this struct was generated from the following file:

- src/core/transport/chttp2/stream_encoder.c